gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: fetch deployment when building


From: gnunet
Subject: [taler-deployment] branch master updated: fetch deployment when building
Date: Sun, 01 Dec 2019 21:07:04 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new fb6cc00  fetch deployment when building
fb6cc00 is described below

commit fb6cc0040021afc67185dd0c4702fc359fcae8d6
Author: Christian Grothoff <address@hidden>
AuthorDate: Sun Dec 1 21:07:02 2019 +0100

    fetch deployment when building
---
 buildbot/build.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/buildbot/build.sh b/buildbot/build.sh
index 4250b0c..f606fc5 100755
--- a/buildbot/build.sh
+++ b/buildbot/build.sh
@@ -11,6 +11,18 @@ echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to 
resume."
 exit 1
 fi
 
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/deployment
+fetch
+cd
+
 echo "Running taler-deployment bootstrap"
 source "${HOME}/activate"
 taler-deployment bootstrap

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]